%define api		1.6
%define major		0
%define gir_major	1.6
%define libname		%mklibname %{name} %{api} %{major}
%define develname	%mklibname -d %{name}
%define girname		%mklibname %{name}-gir %{gir_major}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		gupnp-igd
Version:	1.6.0
Release:	%mkrel 2
Summary:	Handle Internet Gateway Device port mappings
Group:		System/Libraries
License:	LGPLv2+
URL:		http://www.gupnp.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	gtk-doc
BuildRequires:	pkgconfig(gupnp-1.6)
BuildRequires:	pkgconfig(gobject-introspection-1.0)

%description
GUPnP is an object-oriented open source framework for creating UPnP
devices and control points, written in C using GObject and libsoup.
The GUPnP API is intended to be easy to use, efficient and flexible.

GUPnP-Igd is a library that handle Internet Gateway Device port mappings.

%package -n %{libname}
Summary:	Handle Internet Gateway Device port mappings
Group:		System/Libraries

%description -n %{libname}
GUPnP is an object-oriented open source framework for creating UPnP
devices and control points, written in C using GObject and libsoup.
The GUPnP API is intended to be easy to use, efficient and flexible.

GUPnP-Igd is a library that handle Internet Gateway Device port mappings.

%package -n %{develname}
Summary:	Development package for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %develname
Files for development with %{name}.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%autosetup -p1

%build
%meson -Dgtk_doc=true
%meson_build

%install
%meson_install

%files -n %{libname}
%doc AUTHORS COPYING README
%{_libdir}/lib%{name}-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/GUPnPIgd-%{gir_major}.typelib

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/gupnp-igd/
%{_includedir}/%{name}-%{api}/
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/lib%{name}-%{api}.so
%{_datadir}/gtk-doc/html/%{name}/
%{_datadir}/gir-1.0/GUPnPIgd-%{gir_major}.gir


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.6.0-2.mga10
+ Revision: 2218217
- Mageia 10 Mass Rebuild

* Sun Apr 23 2023 daviddavid <daviddavid> 1.6.0-1.mga9
+ Revision: 1954485
- new version 1.6.0
- api is now 1.6 and libmajor is 0
- gir major is now 1.6

* Mon Sep 19 2022 wally <wally> 1.2.0-3.mga9
+ Revision: 1890410
- port to GUPnP 1.6 API

* Thu Mar 31 2022 umeabot <umeabot> 1.2.0-2.mga9
+ Revision: 1836817
- Mageia 9 Mass Rebuild

* Thu Sep 24 2020 daviddavid <daviddavid> 1.2.0-1.mga8
+ Revision: 1629856
- new version 1.2.0
- switch to meson build system

* Sat Feb 15 2020 umeabot <umeabot> 0.2.5-4.mga8
+ Revision: 1523854
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Mar 14 2019 daviddavid <daviddavid> 0.2.5-3.mga7
+ Revision: 1376315
- backport patch to switch to new GUPnP API 1.2

* Sun Sep 23 2018 umeabot <umeabot> 0.2.5-2.mga7
+ Revision: 1298149
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Mon Nov 20 2017 ovitters <ovitters> 0.2.5-1.mga7
+ Revision: 1177956
- new version 0.2.5

* Thu Feb 11 2016 umeabot <umeabot> 0.2.4-4.mga6
+ Revision: 954280
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 wally <wally> 0.2.4-3.mga6
+ Revision: 847519
- add requires for gir pkg to devel pkg

* Wed Oct 15 2014 umeabot <umeabot> 0.2.4-2.mga5
+ Revision: 750446
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 wally <wally> 0.2.4-1.mga5
+ Revision: 733861
- new version 0.2.4

* Fri Sep 26 2014 wally <wally> 0.2.3-3.mga5
+ Revision: 724908
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 0.2.3-2.mga5
+ Revision: 680051
- Mageia 5 Mass Rebuild
+ ovitters <ovitters>
- add gobject-introspection BR for typelib auto BR

* Fri Feb 07 2014 dams <dams> 0.2.3-1.mga5
+ Revision: 584883
- remove useless patches
- clean BR
- new version 0.2.3

* Sat Oct 19 2013 umeabot <umeabot> 0.2.2-2.mga4
+ Revision: 523398
- Mageia 4 Mass Rebuild

* Mon Apr 15 2013 wally <wally> 0.2.2-1.mga3
+ Revision: 410146
- add patches to fix linking and build with new automake
+ dams <dams>
- new version 0.2.2
- clean specfile

* Sat Jan 12 2013 umeabot <umeabot> 0.2.1-2.mga3
+ Revision: 352993
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 08 2011 wally <wally> 0.2.1-1.mga2
+ Revision: 179019
- new version 0.2.1
- use source from main site as there's no such file on gnome mirror
- disable docs regeneration on build time

* Mon Nov 07 2011 wally <wally> 0.2.0-1.mga2
+ Revision: 165062
- new major 4
- new version 0.2.0

* Sat Jun 25 2011 wally <wally> 0.1.11-1.mga2
+ Revision: 113607
- new version 0.1.11
- create new subpackage for gir .typelib

* Sun Jan 23 2011 wally <wally> 0.1.7-4.mga1
+ Revision: 33542
- rebuild for new gssdp and gupnp
- fix source tag

* Sat Jan 22 2011 wally <wally> 0.1.7-3.mga1
+ Revision: 33253
- remove old mdv scriptlets
- remove py_requires macro
- get rid of .la files
- clean .spec a bit
- imported package gupnp-igd


* Fri Nov 05 2010 Funda Wang <fwang@mandriva.org> 0.1.7-2mdv2011.0
+ Revision: 593644
- fix build

* Fri Jul 23 2010 Jani Välimaa <wally@mandriva.org> 0.1.7-1mdv2011.0
+ Revision: 557292
- new version 0.1.7

* Thu Jan 07 2010 Jani Välimaa <wally@mandriva.org> 0.1.6-1mdv2010.1
+ Revision: 487177
- new version 0.1.6
- create a subpackage for python bindings
- add BR

* Fri Jan 01 2010 Emmanuel Andry <eandry@mandriva.org> 0.1.5-1mdv2010.1
+ Revision: 484807
- New version 0.1.5
- new major 3

* Sun Sep 20 2009 Frederik Himpe <fhimpe@mandriva.org> 0.1.3-3mdv2010.0
+ Revision: 445874
- Rebuild for new gupnp

* Sun Sep 20 2009 Götz Waschk <waschk@mandriva.org> 0.1.3-2mdv2010.0
+ Revision: 445814
- rebuild for new gupnp

* Sun Jun 21 2009 Frederik Himpe <fhimpe@mandriva.org> 0.1.3-1mdv2010.0
+ Revision: 387833
- Update to new version 0.1.3 (new major)

* Thu Mar 05 2009 Emmanuel Andry <eandry@mandriva.org> 0.1.1-1mdv2009.1
+ Revision: 349317
- import gupnp-igd


